Page MenuHomePhabricator

Fragment encoding in heading anchors and in links differ
Closed, ResolvedPublic

Description

The anchor of the heading and the link have different encoding:

== A&B&C&D&E ==
[[#A&B&C&D&E]]

The visualization does not differ: A&B&C&D&E

The link does not match to the anchor of the heading.

With enabled $wgExperimentalHtmlIds = true:

Expected result: The link should match to the anchor of the heading.

Related Objects

Event Timeline

Fomafix created this task.Jun 24 2015, 5:12 PM
Fomafix raised the priority of this task from to Needs Triage.
Fomafix updated the task description. (Show Details)
Fomafix added a project: Parsing-Team.
Fomafix added a subscriber: Fomafix.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2015, 5:12 PM
Aklapper set Security to None.
Fomafix updated the task description. (Show Details)Jun 29 2015, 10:57 AM

Change 221614 had a related patch set uploaded (by Gerrit Patch Uploader):
Do not double decode HTML entities for IDs

https://gerrit.wikimedia.org/r/221614

Fomafix claimed this task.Jun 29 2015, 4:26 PM

Isn't this duplicate of T20431?

@Lahwaacz No, T20431 is a related but separate bug.

Change 286385 had a related patch set uploaded (by Gerrit Patch Uploader):
Do not double decode HTML entities for IDs

https://gerrit.wikimedia.org/r/286385

ssastry triaged this task as Normal priority.Jan 4 2017, 6:38 PM

With https://gerrit.wikimedia.org/r/362167 I added parser tests that test for the current behavior.

This comment was removed by Fomafix.

Change 221614 abandoned by Fomafix:
Do not double decode HTML entities for IDs

Reason:
Superseded by https://gerrit.wikimedia.org/r/286385.

https://gerrit.wikimedia.org/r/221614

Change 377659 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/services/parsoid@master] [WIP] Update Parsoid to generate modern IDs w/ legacy fallback

https://gerrit.wikimedia.org/r/377659

Change 286385 merged by jenkins-bot:
[mediawiki/core@master] Do not double decode HTML entities for IDs

https://gerrit.wikimedia.org/r/286385

Fomafix closed this task as Resolved.Oct 4 2017, 7:32 AM
Fomafix removed a project: Patch-For-Review.

Change 377659 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Update Parsoid to generate modern HTML5 IDs w/ legacy fallback

https://gerrit.wikimedia.org/r/377659